Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 22 Mar 2023 07:49:41 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Your delivery service is outrageous! I have placed an order on 19Mar, Sunday and was informed that the delivery will be next day. So I choose it to be delivered in my office address as I will not be available in my home address. The delivery guy phoned me at 6:04pm asking for location PIN. When I asked him what time he will arrive as the office is closed already and I will wait if he is near by but he cannot tell me what time he will arrive. After 15mins I phoned him to ask where he is. He keeps on saying he is coming but at what time?! Again no answer. He then said 10-15mins. I called him back after 15mins and he said that it's traffic and he will come. I asked him to re-schedule it for tomorrow and in the morning as our office hours is from 9am to 5pm. Next day, I did not receive any call until 648pm! and that he is in the office and no one there. Of course no one i
 s there because it is an office! What kind of delivery service you have?! 6th Street, Namshi, and even Shein has better delivery service than you. And your customer service on whatsaap is of no use as well. They just keep on saying the it is out of delivery! I know it is out of delivery but my question is will they deliver during the day from 9-5. No one can answer this simple question. If I am to rate this service of yours this is -1M https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5907355